
'use strict';
require('es6-promise').polyfill();
const chance = require('chance').Chance();

var express = require('express');
var request = require('request');
var cheerio = require('cheerio');
var app = express();

var url = "http://www.cptm.sp.gov.br/Pages/Home.aspx";
const userAgent = 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_2) AppleWebKit/601.3.9 (KHTML, like Gecko) Version/9.0.2 Safari/601.3.9';

exports.getStatusCPTM = function() {

  return new Promise(function(accept, error) {
    var options = {
      url:  url,
      headers: {
        'User-Agent': userAgent
      }
    };


request(url, function(err, resp, body) {

    if(err){
      console.log("Ocorreu um erro!");
      throw err;
    }

    var $ = cheerio.load(body);

    var rubi = {id: chance.string(),
                cor: "Rubi",
                linha: $('.rubi span').get(1), 
                status: $(rubi).text(),
                imagem: "",
                descricao: "",
                msgStatus: $(rubi).text(),
                codigo: ""
    }

    var diamante = {id: chance.string(),
      cor: "Diamante",
      linha: $('.diamante span').get(1), 
      status: $(diamante).text(),
      imagem: "",
      descricao: "",
      msgStatus: $(diamante).text(),
      codigo: ""
    }

    var esmeralda = {id: chance.string(),
      cor: "Esmeralda",
      linha: $('.esmeralda span').get(1), 
      status: $(esmeralda).text(),
      imagem: "",
      descricao: "",
      msgStatus: $(esmeralda).text(),
      codigo: ""
    }

    var turquesa = {id: chance.string(),
      cor: "Turquesa",
      linha: $('.turquesa span').get(1), 
      status: $(turquesa).text(),
      imagem: "",
      descricao: "",
      msgStatus: $(turquesa).text(),
      codigo: ""
    }

    var coral = {id: chance.string(),
      cor: "Coral",
      linha: $('.coral span').get(1), 
      status: $(coral).text(),
      imagem: "",
      descricao: "",
      msgStatus: $(coral).text(),
      codigo: ""
    }

    var safira = {id: chance.string(),
      cor: "Safira",
      linha: $('.safira span').get(1), 
      status: $(safira).text(),
      imagem: "",
      descricao: "",
      msgStatus: $(safira).text(),
      codigo: ""
    }
    
    var lines = [rubi, diamante, esmeralda, turquesa, coral, safira];
    accept(JSON.stringify(lines));
  });
});
}

